Package twisted :: Package persisted :: Package journal :: Module rowjournal :: Class RowJournal

[show private | hide private]
[frames | no frames]

## Class RowJournal

    Journal --+
              |
             RowJournal

Journal that stores data 'snapshot' in using twisted.enterprise.row.

Use this as the reflector instead of the original reflector.

It may block on creation, if it has to run recovery.

Method Summary
| `__init__(self, log, journaledService, reflector)`
| ``deleteRow`(self, obj)` Mark on object for deleting when sync()ing.
| ``executeCommand`(self, command)` Log and execute a command. (inherited from `Journal`)
| ``getLastSnapshot`(self)` Return command index of last snapshot.
| ``insertRow`(self, obj)` Mark on object for inserting when sync()ing.
| ``loadObjectsFrom`(self, tableName, parentRow, data, whereClause, forceChildren)` Flush all objects to the database and then load objects.
| ``sync`(self)` Commit changes to database.
| ``updateFromLog`(self)` Run all commands from log that haven't been run yet. (inherited from `Journal`)
| ``updateRow`(self, obj)` Mark on object for updating when sync()ing.
| ``_reallyExecute`(self, index, command, runTime)` Callback called when logging command is done. (inherited from `Journal`)
| ``_sync`(self, txn, index, commands)` Do the actual database synchronization.
| `_syncDone(self, result)`

Method Details

### deleteRow(self, obj)

Mark on object for deleting when sync()ing.

### getLastSnapshot(self)

Return command index of last snapshot.

### insertRow(self, obj)

Mark on object for inserting when sync()ing.

### loadObjectsFrom(self, tableName, parentRow=None, data=None, whereClause=None, forceChildren=0)

Flush all objects to the database and then load objects.

### sync(self)

Commit changes to database.

### updateRow(self, obj)

Mark on object for updating when sync()ing.

### _sync(self, txn, index, commands)

Do the actual database synchronization.

Generated by Epydoc 1.1 on Thu May 8 13:18:35 2003 | http://epydoc.sf.net